
div[common-popup="container"] {
    position:fixed;
    top:0;
    left:0;
    right:0;
    bottom:0;
    display:none;
    z-index: 1000;
    max-height: 100%;
    overflow: hidden;
}

    div[common-popup="container"] div[common-popup="background"] {
        height:100%;
        width:100%;

        background:#0000002c;
    }

    div[common-popup="container"] div[common-popup="window-container"] {
        position:fixed;
        top:0;
        left:0;
        right:0;
        bottom:0;

        display:flex;
        flex-direction: column;
        justify-content: space-around;
        height:100%;
        overflow-y: auto;
    }

        div[common-popup="container"] div[common-popup="window-container"] div[common-popup="window"] {
            background:white;
            margin: 0.5em;
            border-radius: 0.3em;
            padding: 0.3em;
            box-shadow: 0px 0px 8px #a5a5a5;
            position: relative;
            max-height: 85%;
            overflow-y: auto;
        }

            div[common-popup="container"] div[common-popup="close"] {
                position:absolute;
                top:0.2em;
                right:0.2em;
                cursor: pointer;
                padding:0.1em 0.3em;
                border-radius: 0.5em;
            }

            div[common-popup="container"] div[common-popup="close"]:hover {
                background:var(--background);
            }